import Vue from "vue";
import Router from "vue-router";

import Home from "../views/Home";
import NotFound from "../views/404";
import Login from "../modules/login/Login";
// import account from "./modules/account/router";
// modules
import main from "./main";
import grading from "./grading";
import com from "./modules/com/router";

Vue.use(Router);

export default new Router({
  routes: [
    {
      path: "/",
      name: "Index",
      redirect: { name: "Login" }
    },
    {
      path: "/login",
      name: "Login",
      component: Login
    },
    {
      path: "/home",
      name: "Home",
      component: Home
    },
    ...main,
    ...grading,
    ...com,
    {
      path: "*",
      name: "404",
      component: NotFound
    }
    // [lazy-loaded] route level code-splitting
    // {
    //   path: "/about",
    //   name: "about",
    //   // this generates a separate chunk (about.[hash].js) for this route
    //   // which is lazy-loaded when the route is visited.
    //   component: () =>
    //     import(/* webpackChunkName: "about" */ "./views/About.vue")
    // }
  ]
});
